DisplayManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.osf.io

## Class DisplayManager

- java.lang.Object
- - hlt.osf.io.DisplayManager

-     public class DisplayManager
      extends java.lang.Object

  This class defines a display manager that consists of a display device manager and a display form manager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayManager()`
    `DisplayManager(DisplayDeviceManager device)`
    `DisplayManager(DisplayDeviceManager device, DisplayFormManager formatter)`
    `DisplayManager(DisplayFormManager formatter)`
    `DisplayManager(DisplayFormManager formatter, DisplayDeviceManager device)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayFormManager` | `clearTags()`
    `void` | `close()`
    `java.lang.String` | `displayBottomForm()`
    `DisplayDeviceManager` | `displayDeviceManager()`
    `java.lang.String` | `displayForm(double x)`
    `DisplayFormManager` | `displayFormManager()`
    `java.lang.String` | `displaySortsForm(ArrayList sorts)`
    `java.lang.String` | `displaySortsForm(Sort[] sorts)`
    `java.lang.String` | `displayTopForm()`
    `void` | `flush()`
    `java.io.PrintStream` | `getOutputStream()`
    `void` | `print(java.lang.String string)`
    `void` | `println()`
    `void` | `println(java.lang.String string)`
    `java.lang.String` | `quotedDisplayForm(double x)`
    `DisplayManager` | `setDisplayDeviceManager(DisplayDeviceManager device)`
    `DisplayManager` | `setDisplayFormManager(DisplayFormManager formatter)`
    `void` | `setOutputStream(java.io.PrintStream stream)`
    `java.lang.String` | `unquotedDisplayForm(double x)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayManager

          public DisplayManager()

    - #### DisplayManager

          public DisplayManager(DisplayDeviceManager device)

    - #### DisplayManager

          public DisplayManager(DisplayFormManager formatter)

    - #### DisplayManager

          public DisplayManager(DisplayDeviceManager device,
                        DisplayFormManager formatter)

    - #### DisplayManager

          public DisplayManager(DisplayFormManager formatter,
                        DisplayDeviceManager device)

  - ### Method Detail

    - #### displayDeviceManager

          public final DisplayDeviceManager displayDeviceManager()

    - #### displayFormManager

          public final DisplayFormManager displayFormManager()

    - #### setDisplayDeviceManager

          public final DisplayManager setDisplayDeviceManager(DisplayDeviceManager device)

    - #### setDisplayFormManager

          public final DisplayManager setDisplayFormManager(DisplayFormManager formatter)

    - #### setOutputStream

          public void setOutputStream(java.io.PrintStream stream)

    - #### getOutputStream

          public java.io.PrintStream getOutputStream()

    - #### close

          public void close()

    - #### flush

          public void flush()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### print

          public void print(java.lang.String string)

    - #### println

          public void println()

    - #### println

          public void println(java.lang.String string)

    - #### displayTopForm

          public java.lang.String displayTopForm()

    - #### displayBottomForm

          public java.lang.String displayBottomForm()

    - #### displaySortsForm

          public java.lang.String displaySortsForm(Sort[] sorts)

    - #### displaySortsForm

          public java.lang.String displaySortsForm(ArrayList sorts)

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(double x)

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(double x)

    - #### displayForm

          public java.lang.String displayForm(double x)

    - #### clearTags

          public DisplayFormManager clearTags()